import 'package:flutter/foundation.dart';
import 'package:flutter/services.dart';

import 'trip_overlay_plugin_platform_interface.dart';

/// An implementation of [TripOverlayPluginPlatform] that uses method channels.
class MethodChannelTripOverlayPlugin extends TripOverlayPluginPlatform {
  /// The method channel used to interact with the native platform.
  @visibleForTesting
  final methodChannel = const MethodChannel('trip_overlay_plugin');

  @override
  Future<String?> getPlatformVersion() async {
    final version = await methodChannel.invokeMethod<String>('getPlatformVersion');
    return version;
  }
}
